Skip to main content

Send the payment status to HIU

POST/api/hiecm/scan-gateway/v3/patient/scan-pay/notify

<ol type='1'> <li> <b>Header</b> <ol type='a'> <br/> <li>Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer <TOKEN> ]</li><li>REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]</li> <li>TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]</li> <li>X-CM-ID consent manager ID[ Example: sbx ]</li> <li> X-HIP-ID [Example: HIP_ID] </ol> </li> <br/> <li> <b>Request Body</b> <ol type='a'><br/> <li>acknowledgement This is a key value which contains the payment status abhaAddress transactionId orderNumber paymentRecipetURL[ Example: { status: [SUCCESS, CANCELED, PENDING, FAIL, REFUND_INITIATED, REFUND_SUCCESS] abhaAddress: <ABHA_ADDRESS> transactionId: uniqueId orderNumber: 76274** openOrderRequestId: 939800-325d-42c3-**-1***** paymentDate: 2025-01-20T07:47:49.102Z paymentRecipetURL: URL } ]</li> <li>error is optional object in case of any error or Failure then only send error object</li> </ol> </ol>

Authorizations

Authorizationbearer tokenRequired

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-HIP-IDstringRequired

Identifier of the health information provider to which the request was intended

Body

acknowledgementobjectRequired

The intention of share API call

acknowledgement.statusstringRequired

Indicates the outcome of the transaction. Possible values are: <br></br>SUCCESS: The transaction was completed successfully. <br></br>FAIL: The transaction failed. <br></br>CANCELED: The transaction was cancelled. <br></br>PENDING: The transaction in pending.<br></br> REFUND_INITIATED: refund initiated.<br></br>REFUND_SUCCESS: refunded successfully

acknowledgement.abhaAddressstringRequired

The abha addresss of the user, formatted as <ABHA_ADDRESS>. This is a unique identifier for the user in the health system.

acknowledgement.transactionIdstringRequired

A unique identifier for the transaction. This helps in tracking and referencing the specific transaction.

acknowledgement.orderNumberstringRequired

A unique identifier for the order associated with the transaction. This helps in tracking and referencing the specific order.

acknowledgement.openOrderRequestIdobjectRequired

This is the response request-id which is generated from the share/openOrder api

acknowledgement.paymentDatestringRequired

ISO Timestamp.

acknowledgement.paymentRecipetLinkstringRequired

This attribute holds the URL link to the payment receipt. It is a string that provides a direct link to a PDF document or other format of the receipt for the transaction.

Responses

401

Unauthorized

Everything returns 401

429

Too Many Requests

Error codes for this module

500

Internal Server Error

Error codes for this module

503

Service Unavailable

Error codes for this module